Bug 79733 - ports/devel/p5-ReadLine-Gnu build failed when ports/devel/readline is installed
Summary: ports/devel/p5-ReadLine-Gnu build failed when ports/devel/readline is installed
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: mph
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-04-10 00:50 UTC by Ying-Chieh Chen
Modified: 2005-04-27 03:47 UTC (History)
0 users

See Also:


Attachments
p5-readline.patch (610 bytes, patch)
2005-04-20 14:18 UTC, Volker Stolz
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ying-Chieh Chen 2005-04-10 00:50:28 UTC
      ports/devel/p5-ReadLine-Gnu fails to build when ports/devel/readline is installed.

      Error message is as the following:

# make
===>  Extracting for p5-ReadLine-Gnu-1.14
=> Checksum OK for Term-ReadLine-Gnu-1.14.tar.gz.
===>   p5-ReadLine-Gnu-1.14 depends on file: /usr/local/bin/perl5.8.6 - found
===>  Patching for p5-ReadLine-Gnu-1.14
===>   p5-ReadLine-Gnu-1.14 depends on file: /usr/local/bin/perl5.8.6 - found
===>   p5-ReadLine-Gnu-1.14 depends on file: /usr/local/bin/perl5.8.6 - found
===>  Configuring for p5-ReadLine-Gnu-1.14
Found `/usr/lib/libtermcap.a'.
cc  -DAPPLLIB_EXP="/usr/local/lib/perl5/5.8.6/BSDPAN" -DHAS_FPSETMASK -DHAS_FLOATINGPOINT_H -fno-strict-aliasing -pipe -I/usr/local/include -DHAVE_STRING_H rlver.c -o rlver    -Wl,-E -L/usr/local/lib -lreadline -ltermcap -lcrypt
It seems that you have the GNU Readline Library version 5.0.
Checking if your kit is complete...
Looks good
Writing Makefile for Term::ReadLine::Gnu
===>  Building for p5-ReadLine-Gnu-1.14
cp Gnu.pm blib/lib/Term/ReadLine/Gnu.pm
cp Gnu/euc_jp.pm blib/lib/Term/ReadLine/Gnu/euc_jp.pm
cp Gnu/XS.pm blib/lib/Term/ReadLine/Gnu/XS.pm
AutoSplitting blib/lib/Term/ReadLine/Gnu/XS.pm (blib/lib/auto/Term/ReadLine/Gnu/XS)
/usr/local/bin/perl /usr/local/lib/perl5/5.8.6/ExtUtils/xsubpp  -typemap /usr/local/lib/perl5/5.8.6/ExtUtils/typemap -typemap typemap  Gnu.xs > Gnu.xsc && mv Gnu.xsc Gnu.c
cc -c    -O -pipe -O -pipe    -DVERSION=\"1.14\"  -DXS_VERSION=\"1.14\" -DPIC -fPIC "-I/usr/local/lib/perl5/5.8.6/mach/CORE"  -DHAVE_STRING_H Gnu.c
Gnu.xs:67: warning: static declaration for `rl_cleanup_after_signal' follows non-static
Gnu.xs:68: warning: static declaration for `rl_free_line_state' follows non-static
Gnu.xs:69: warning: static declaration for `rl_reset_after_signal' follows non-static
Gnu.xs:70: warning: static declaration for `rl_resize_terminal' follows non-static
Gnu.xs:71: warning: static declaration for `rl_prep_terminal' follows non-static
Gnu.xs: In function `rl_prep_terminal':
Gnu.xs:71: number of arguments doesn't match prototype
/usr/include/readline/readline.h:362: prototype declaration
Gnu.xs: At top level:
Gnu.xs:72: warning: static declaration for `rl_deprep_terminal' follows non-static
Gnu.xs:79: warning: static declaration for `rl_save_prompt' follows non-static
Gnu.xs:80: warning: static declaration for `rl_restore_prompt' follows non-static
Gnu.xs:166: `RL_READLINE_VERSION' undeclared here (not in a function)
*** Error code 1

Stop in /usr/ports/devel/p5-ReadLine-Gnu/work/Term-ReadLine-Gnu-1.14.
*** Error code 1

Stop in /usr/ports/devel/p5-ReadLine-Gnu.

Fix: 

N/A
How-To-Repeat:       cd /usr/ports/devel/readline; make install
      cd /usr/ports/devel/p5-Readline-Gnu; make install
Comment 1 Yen-Ming Lee freebsd_committer 2005-04-10 09:48:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mph

Over to the maintainer.
Comment 2 Volker Stolz freebsd_committer 2005-04-20 14:18:57 UTC
The attached patch should DTRT in the presence of libreadline in  
$LOCALBASE.

Volker
Comment 3 mph freebsd_committer 2005-04-27 03:46:41 UTC
State Changed
From-To: open->closed

Volker's patch committed.  Thanks.